package cn.iocoder.yudao.module.bpm.controller.admin.task.vo.instance;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

@Schema(description = "管理后台 - 流程实例统计查询 Item Response VO")
@Data
@ToString(callSuper = true)
public class BpmProcessInstanceResultStatusStatisticsGroupTimeVO {

    @Schema(description = "流程名称", example = "请假流程")
    private String name;

    @Schema(description = "流程实例统计数量", example = "1")
    private int totalCount;

    @Schema(description = "流程实例的状态", example = "1")
    private int result ;

    @Schema(description = "时间", example = "1")
    private String time ;

}
