package cn.iocoder.yudao.module.system.api.assets;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.datapermission.core.annotation.DataPermission;
import cn.iocoder.yudao.module.system.api.assets.dto.SupplierAssetAllocationDTO;
import cn.iocoder.yudao.module.system.service.assets.AssetsService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@Validated
@DataPermission(enable = false)
public class AssetsApiImpl implements AssetsApi {

    @Resource
    private AssetsService assetsService;


    @Override
    public CommonResult supplierAssetAllocation(List<SupplierAssetAllocationDTO> dtos) {
        assetsService.supplierAssetAllocation(dtos);
        return CommonResult.success("ok");
    }
}
